Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.mx.metadata
Interface MetaDataBuilder

All Known Implementing Classes:
  AbstractBuilder

public interface MetaDataBuilder

The `MetaDataBuilder` interface defines the contract between the Model MBean and a metadata builder implementation. The metadata builder implementations can extract the MBean management interface definition from a given data source and construct the corresponding JMX MBeanInfo object instances that define the Model MBean.

This interface also defines accessor methods for setting properties which can be used to configure the builder implementations. See `setProperty(java.lang.String, java.lang.Object)` and `getProperty(java.lang.String)` methods for more information.

Version:
  $Revision: 1.3 $
Author:
  Juha Lindfors.
See Also:
  `AbstractBuilder`

Method Summary
`MBeanInfo` | `build()` Constructs the Model MBean metadata.
`Object` | `getProperty(String key)` Returns an existing property for this builder implementation.
`void` | `setProperty(String key, Object value)` Sets a property that can be used to control the behaviour of the builder implementation.

Method Detail

### build

    public MBeanInfo build()
                    throws NotCompliantMBeanException

  Constructs the Model MBean metadata.

  Returns:
    initialized MBean info
  Throws:
    `NotCompliantMBeanException` - if there were errors building the MBean info from the given data source

### setProperty

    public void setProperty(String key,
                            Object value)

  Sets a property that can be used to control the behaviour of the builder implementation.

  Parameters:
    `key` - unique string key for a property
    `value` - property value

### getProperty

    public Object getProperty(String key)

  Returns an existing property for this builder implementation.

  Parameters:
    `key` - property key string
  Returns:
    property value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.